File: 2111.txt

package info (click to toggle)
snort 2.7.0-20.4
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 34,512 kB
  • ctags: 18,772
  • sloc: ansic: 115,404; sh: 10,893; makefile: 1,372; perl: 487; sql: 213
file content (53 lines) | stat: -rw-r--r-- 835 bytes parent folder | download | duplicates (6)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
Rule:

--
Sid:
2111
--
Summary:
This event is generated when an attempt is made to exploit a buffer
overflow condition in the Post Office Protocol (POP) command DELE.

--
Impact:
Possible remote execution of arbitrary code leading to a remote root 
compromise.

--
Detailed Information:
A vulnerability exists such that an attacker may overflow a buffer by
sending a line feed character to a POP server via the DELE command.

--
Attack Scenarios:
Simple.

--
Ease of Attack:
Simple.

--
False Positives:
None Known

--
False Negatives:
None Known

--
Corrective Action:
Upgrade to the latest non-affected version of the software.

--
Contributors:
Sourcefire Research Team
Brian Caswell <bmc@sourcefire.com>
Nigel Houghton <nigel.houghton@sourcefire.com>

--
Additional References:

RFC 1939:
http://www.faqs.org/rfcs/rfc1939.html

--